#include <iostream>
#include <string.h>
#include <cmath>
#include <vector>

using namespace std;

int main()
{
	char a, b;
	int a_, b_;

	cin >> a >> b;
	cin >> a_ >> b_;

	if (abs(a_ - b_) <= 1)
	{
		vector<char> str;
		if (a_ == b_)
		{
			for (int i = 0; i < a_; i++)
			{
				str.push_back(b);
				str.push_back(a);
			}

			for (int i = 0; i < str.size(); i++)
			{
				cout << str[i];
			}
		}
		else
		{
			if (a_ > b_)
			{
				str.push_back(a);
				for (int i = 0; i < a_ - 1; i++)
				{
					str.push_back(b);
					str.push_back(a);
				}
			}
			else
			{
				str.push_back(b);
				for (int i = 0; i < b_ - 1; i++)
				{
					str.push_back(a);
					str.push_back(b);
				}
			}

			for (int i = 0; i < str.size(); i++)
			{
				cout << str[i];
			}
		}
	}
	else
	{
		cout << "nemoguce";
	}


}